# Uses of Class
org.eclipse.emf.cdo.transfer.CDOTransferType

Packages that use CDOTransferType
Package
Description
org.eclipse.emf.cdo.transfer
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.spi.repository
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.spi.workspace
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.ui
Reusable implementatins of common JFace concepts for dealing with transfers of `resources` between `systems`.

## Uses of CDOTransferType in org.eclipse.emf.cdo.transfer

Subclasses of CDOTransferType in org.eclipse.emf.cdo.transfer
Modifier and Type
Class
Description
`static final class`
`CDOTransferType.Text`
A `transfer type` for text `elements` that have a special `encoding`.
Fields in org.eclipse.emf.cdo.transfer declared as CDOTransferType
Modifier and Type
Field
Description
`static final CDOTransferType`
CDOTransferType.`BINARY`
`static final CDOTransferType`
CDOTransferType.`FOLDER`
`static final CDOTransferType`
CDOTransferType.`MODEL`
Fields in org.eclipse.emf.cdo.transfer with type parameters of type CDOTransferType
Modifier and Type
Field
Description
`static final Map<String,CDOTransferType>`
CDOTransferType.`REGISTRY`
Methods in org.eclipse.emf.cdo.transfer that return CDOTransferType
Modifier and Type
Method
Description
`final CDOTransferType`
CDOTransfer.`getDefaultTransferType()`
`CDOTransferType`
CDOTransferSystem.`getDefaultTransferType(CDOTransferElement element)`
`CDOTransferType`
CDOTransfer.TransferTypeChangedEvent.`getNewType()`
`CDOTransferType`
CDOTransfer.TransferTypeChangedEvent.`getOldType()`
`protected CDOTransferType`
CDOTransfer.`getTransferType(CDOTransferElement source)`
`CDOTransferType`
CDOTransferMapping.`getTransferType()`
Methods in org.eclipse.emf.cdo.transfer that return types with arguments of type CDOTransferType
Modifier and Type
Method
Description
`Set<CDOTransferType>`
CDOTransfer.`getUsedTransferTypes()`
Methods in org.eclipse.emf.cdo.transfer with parameters of type CDOTransferType
Modifier and Type
Method
Description
`int`
CDOTransferType.`compareTo(CDOTransferType o)`
`final void`
CDOTransfer.`setDefaultTransferType(CDOTransferType defaultTransferType)`
`void`
CDOTransferMapping.`setTransferType(CDOTransferType transferType)`
`protected void`
CDOTransfer.`transferTypeChanged(CDOTransferMapping mapping, CDOTransferType oldType, CDOTransferType newType)`

## Uses of CDOTransferType in org.eclipse.emf.cdo.transfer.spi.repository

Methods in org.eclipse.emf.cdo.transfer.spi.repository that return CDOTransferType
Modifier and Type
Method
Description
`CDOTransferType`
RepositoryTransferSystem.`getDefaultTransferType(CDOTransferElement element)`

## Uses of CDOTransferType in org.eclipse.emf.cdo.transfer.spi.workspace

Methods in org.eclipse.emf.cdo.transfer.spi.workspace that return CDOTransferType
Modifier and Type
Method
Description
`CDOTransferType`
WorkspaceTransferSystem.`getDefaultTransferType(CDOTransferElement element)`

## Uses of CDOTransferType in org.eclipse.emf.cdo.transfer.ui

Fields in org.eclipse.emf.cdo.transfer.ui declared as CDOTransferType
Modifier and Type
Field
Description
`static final CDOTransferType[]`
TransferTypeContentProvider.`NO_TANSFER_TYPES`